module Ruboty
  module Handlers
    class Image < Base
      on /img (?<mode>(top|rand)) (?<keyword>.+)/, name: 'img', description: 'Search a image from Google image'

      def img(message)
        result = Ruboty::Image::Client.new(
          message[:mode].to_sym,
          message[:keyword]
        ).search

        message.reply(result) if result
      end
    end
  end
end
